controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Ciclista;
use app\models\Lleva;
use app\models\Puerto;
use yii\data\ActiveDataProvider;
use yii\data\SqlDataProvider;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }
    
    // Consulta 1
    // Consulta 1 Active Record
    public function actionConsulta1ar(){
        
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()->select("edad")->distinct(),
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['edad'],
            "titulo"=>"Consulta 1 con Active Record",
            "enunciado"=>"Listar las edades de los ciclistas sin repetidos",
            "sql"=>"SELECT DISTINCT edad FROM ciclista",
        ]);
    }
    
    // Consulta 1 DAO
    public function actionConsulta1dao(){
        
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT DISTINCT edad FROM ciclista'
       ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['edad'],
            "titulo"=>"Consulta 1 con DAO",
            "enunciado"=>"Listar las edades de los ciclistas sin repetidos",
            "sql"=>"SELECT DISTINCT edad FROM ciclista",
        ]);
    }
    
    // Consulta 2
    // Consulta 2 Active Record
    public function actionConsulta2ar(){
        
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()->select("edad")->distinct()->where("nomequipo = 'Artiach'"),
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['edad'],
            "titulo"=>"Consulta 2 con Active Record",
            "enunciado"=>"Listar las edades de los ciclistas de Artiach o de Amore Vita",
            "sql"=>"SELECT DISTINCT edad FROM ciclista WHERE nomequipo = 'artiach'",
        ]);
    }
    
    // Consulta 2 DAO
    public function actionConsulta2dao(){
        
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT DISTINCT edad FROM ciclista WHERE nomequipo = "artiach"',
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['edad'],
            "titulo"=>"Consulta 2 con DAO",
            "enunciado"=>"Listar las edades de los ciclistas de Artiach o de Amore Vita",
            "sql"=>"SELECT DISTINCT edad FROM ciclista WHERE nomequipo = 'artiach'",
        ]);
    }

    // Consulta 3
    // Consulta 3 Active Record
    public function actionConsulta3ar(){
        
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()->select("edad")->distinct()->where("nomequipo = 'artiach' OR nomequipo = 'amore vita'"),
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['edad'],
            "titulo"=>"Consulta 3 con Active Record",
            "enunciado"=>"Listar las edades de los ciclistas de Artiach o de Amore Vita",
            "sql"=>"SELECT DISTINCT edad FROM ciclista WHERE nomequipo = 'artiach' OR nomequipo = 'amore vita';",
        ]);
    }
    
    // Consulta 3 DAO
    public function actionConsulta3dao(){
        
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT DISTINCT edad FROM ciclista WHERE nomequipo = "artiach" OR nomequipo = "amore vita"',
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['edad'],
            "titulo"=>"Consulta 3 con DAO",
            "enunciado"=>"Listar las edades de los ciclistas de Artiach o de Amore Vita",
            "sql"=>"SELECT DISTINCT edad FROM ciclista WHERE nomequipo = 'artiach' OR nomequipo = 'amore vita';",
        ]);
    }
    
    // Consulta 4
    // Consulta 4 Active Record
    public function actionConsulta4ar(){
        
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()->select("dorsal")->where("edad < 25 OR edad > 30"),
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['dorsal'],
            "titulo"=>"Consulta 4 con Active Record",
            "enunciado"=>"Listar los dorsales de los ciclistas cuya edad sea menor que 25 o mayor que 30",
            "sql"=>"SELECT dorsal FROM ciclista WHERE edad < 25 OR edad > 30;",
        ]);
    }
    
    // Consulta 4 DAO
    public function actionConsulta4dao(){
        
        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT dorsal FROM ciclista WHERE edad < 25 OR edad > 30',
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['dorsal'],
            "titulo"=>"Consulta 4 con DAO",
            "enunciado"=>"Listar los dorsales de los ciclistas cuya edad sea menor que 25 o mayor que 30",
            "sql"=>"SELECT dorsal FROM ciclista WHERE edad < 25 OR edad > 30;",
        ]);
    }
    
    // Consulta 5
    // Consulta 5 Active Record
    public function actionConsulta5ar(){
        
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()->select("dorsal")->where("(edad BETWEEN 28 AND 32) AND nomequipo = 'banesto'"),
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['dorsal'],
            "titulo"=>"Consulta 5 con Active Record",
            "enunciado"=>"Listar los dorsales de los ciclistas cuya edad esté entre 28 y 32 y además que sólo sean de Banesto",
            "sql"=>"SELECT dorsal FROM ciclista WHERE (edad BETWEEN 28 AND 32) AND nomequipo = 'banesto';",
        ]);
    }
    
    // Consulta 5 DAO
    public function actionConsulta5dao(){
        
        $dataProvider = new SqlDataProvider([
            'sql'=>"SELECT dorsal FROM ciclista WHERE (edad BETWEEN 28 AND 32) AND nomequipo = 'banesto'",
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['dorsal'],
            "titulo"=>"Consulta 5 con DAO",
            "enunciado"=>"Listar los dorsales de los ciclistas cuya edad esté entre 28 y 32 y además que sólo sean de Banesto",
            "sql"=>"SELECT dorsal FROM ciclista WHERE (edad BETWEEN 28 AND 32) AND nomequipo = 'banesto';",
        ]);
    }
    
    // Consulta 6
    // Consulta 6 Active Record
    public function actionConsulta6ar(){
        
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()->select("nombre")->distinct()->where("CHAR_LENGTH(nombre) > 8"),
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['nombre'],
            "titulo"=>"Consulta 6 con Active Record",
            "enunciado"=>"Indícame el nombre de los ciclistas que el número de caracteres del nombre sea mayor que 8",
            "sql"=>"SELECT DISTINCT nombre FROM ciclista WHERE CHAR_LENGTH(nombre) > 8;",
        ]);
    }
    
    // Consulta 6 DAO
    public function actionConsulta6dao(){
        
        $dataProvider = new SqlDataProvider([
            'sql'=>"SELECT DISTINCT nombre FROM ciclista WHERE CHAR_LENGTH(nombre) > 8",
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['nombre'],

views/site/index.php
<?php
use yii\helpers\Html;
/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
$this->title = 'Consultas de Selección 1';
?>
<div class="site-index">
    
    <!-- Encabezado -->
    <div class="jumbotron text-center bg-transparent">
        <h1 class="display-4">Consultas de Selección</h1>
    </div>
    
    <div class="body-content">
        
        <!-- Fila 1 -->
        <div class="row"> 
            
            <!-- Consulta 1 -->
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Consulta 1</h3>
                        <p>Listar las edades de los ciclistas (sin repetidos)</p>
                        <p>
                            <?= Html::a('Active Record',['site/consulta1ar'],['class'=>'btn btn-primary'])?>
                            <?= Html::a('DAO',['site/consulta1dao'],['class'=>'btn btn-warning'])?>
                        </p>
                    </div>
                </div>
            </div>
            
            <!-- Consulta 2 -->
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Consulta 2</h3>
                        <p>Listar las edades de los ciclistas de Artiach</p>
                        <p>
                            <?= Html::a('Active Record',['site/consulta2ar'],['class'=>'btn btn-primary'])?>
                            <?= Html::a('DAO',['site/consulta2dao'],['class'=>'btn btn-warning'])?>
                        </p>
                    </div>
                </div>
            </div>
            
            <!-- Consulta 3 -->
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Consulta 3</h3>
                        <p>Listar las edades de los ciclistas de Artiach o de Amore Vita</p>
                        <p>
                            <?= Html::a('Active Record',['site/consulta3ar'],['class'=>'btn btn-primary'])?>
                            <?= Html::a('DAO',['site/consulta3dao'],['class'=>'btn btn-warning'])?>
                        </p>
                    </div>
                </div>
            </div>   
        </div>
        
        <!-- Fila 2 -->
        <div class="row">
            
            <!-- Consulta 4 -->
            <div class="col-sm-6 col-md-4">
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Consulta 4</h3>
                        <p>Listar los dorsales de los ciclistas cuya edad sea menor que 25 o mayor que 30</p>
                        <p>
                            <?= Html::a('Active Record',['site/consulta4ar'],['class'=>'btn btn-primary'])?>
                            <?= Html::a('DAO',['site/consulta4dao'],['class'=>'btn btn-warning'])?>
                        </p>
                    </div>
                </div>
            </div>
            
            <!-- Consulta 5 -->
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Consulta 5</h3>
                        <p>Listar los dorsales de los ciclistas cuya edad esté entre 28 y 32 y además que sólo sean de Banesto</p>
                        <p>
                            <?= Html::a('Active Record',['site/consulta5ar'],['class'=>'btn btn-primary'])?>
                            <?= Html::a('DAO',['site/consulta5dao'],['class'=>'btn btn-warning'])?>
                        </p>
                    </div>
                </div>
            </div>
            
            <!-- Consulta 6 -->
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Consulta 6</h3>
                        <p>Indícame el nombre de los ciclistas que el número de caracteres del nombre sea mayor que 8</p>
                        <p>
                            <?= Html::a('Active Record',['site/consulta6ar'],['class'=>'btn btn-primary'])?>
                            <?= Html::a('DAO',['site/consulta6dao'],['class'=>'btn btn-warning'])?>
                        </p>
                    </div>
                </div>
            </div>        
        </div>     
        
        <!-- Fila 3 -->
        <div class="row"> 
            
            <!-- Consulta 7 -->
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Consulta 7</h3>
                        <p>Lístame el nombre y el dorsal de todos los ciclistas mostrando un campo nuevo denominado nombre mayúsculas que debe mostrar el nombre en mayúsculas</p>
                        <p>
                            <?= Html::a('Active Record',['site/consulta7ar'],['class'=>'btn btn-primary'])?>
                            <?= Html::a('DAO',['site/consulta7dao'],['class'=>'btn btn-warning'])?>
                        </p>
                    </div>
                </div>
            </div>
            
            <!-- Consulta 8 -->
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Consulta 8</h3>
                        <p>Listar todos los ciclistas que han ganado el maillot MGE (amarillo) en alguna etapa</p>
                        <p>
                            <?= Html::a('Active Record',['site/consulta8ar'],['class'=>'btn btn-primary'])?>
                            <?= Html::a('DAO',['site/consulta8dao'],['class'=>'btn btn-warning'])?>
                        </p>
                    </div>
                </div>
            </div>
            
            <!-- Consulta 9 -->
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Consulta 9</h3>
                        <p>Listar el nombre de los puertos cuya altura sea mayor de 1500</p>
                        <p>
                            <?= Html::a('Active Record',['site/consulta9ar'],['class'=>'btn btn-primary'])?>
                            <?= Html::a('DAO',['site/consulta9dao'],['class'=>'btn btn-warning'])?>
                        </p>
                    </div>
                </div>
            </div>   
        </div>
        
        <!-- Fila 4 -->
        <div class="row">
            
            <!-- Consulta 10 -->
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Consulta 10</h3>
                        <p>Listar el dorsal de los ciclistas que hayan ganado algun puerto cuya pendiente sea mayor que 8 o cuya altura esté entre 1800 y 3000</p>
                        <p>
                            <?= Html::a('Active Record',['site/consulta10ar'],['class'=>'btn btn-primary'])?>
                            <?= Html::a('DAO',['site/consulta10dao'],['class'=>'btn btn-warning'])?>
                        </p>
                    </div>
                </div>
            </div>
            
            <!-- Consulta 11 -->
            <div class="col-sm-6 col-md-4"> 
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                        <h3>Consulta 11</h3>
                        <p>Listar el dorsal de los ciclistas que hayan ganado algún puerto cuya pendiente sea mayor que 8 y cuya altura esté entre 1800 y 3000</p>
                        <p>
                            <?= Html::a('Active Record',['site/consulta11ar'],['class'=>'btn btn-primary'])?>
                            <?= Html::a('DAO',['site/consulta11dao'],['class'=>'btn btn-warning'])?>
                        </p>
                    </div>
                </div>
            </div>       
        </div>
             
    </div>
    
</div>

views/site/resultado.php
<?php
use yii\grid\GridView;
?>

<div class="jumbotron">
    <h2><?=$titulo?></h2>
    <p class="lead"><?=$enunciado?></p>
    <div class="well">
        <?= $sql ?>
    </div>
</div>

<?= GridView::widget([
    'dataProvider' => $resultados,
    'columns' => $campos,
]); ?>